<!DOCTYPE html>
<html lang="en">
  <head>


    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">



    <!-- Meta -->
 <meta name="description" content="Crowdsoft Design Guide">

    <title>Crowdsoft Design Guide</title>

    <!-- vendor css -->
    <link href="/lib/fontawesome-free/css/all.min.css" rel="stylesheet">
    <link href="/lib/ionicons/css/ionicons.min.css" rel="stylesheet">
    <link href="/lib/typicons.font/typicons.css" rel="stylesheet">
    <link href="/lib/select2/css/select2.min.css" rel="stylesheet">

    <!-- azia CSS -->
       <!-- global CSS -->
    <link rel="stylesheet" href="/css/azia-vendor.css?v=[cs_version]">
    <link rel="stylesheet" href="/css/azia-global.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/css/serviceblick-global.css?v=[cs_version]">

  </head>
<body id="page-top" class="az-body">
<div class="az-header">
    <div class="container"> <!-- change to container-fluid for full browser width-->
        <div class="az-header-left">
            <a href="index.html" class="az-logo"><span></span><img class="az-logo" src="/img/serviceblick_logo.gif" alt="Serviceblick logo"></a><a href="" id="azMenuShow" class="az-header-menu-icon d-lg-none"><span></span> </a> <span class="nav-link text-dark tx-20">Design Guide</span>
        </div><!-- az-header-left -->
        <div class="az-header-menu">
            <div class="az-header-menu-header">
                <a href="index.html" class="az-logo"><span></span><img class="az-logo" src="/img/serviceblick_logo.gif" alt="Serviceblick"></a>
                <a href="" class="close">&times;</a>
            </div><!-- az-header-menu-header -->
          <ul class="nav">
            <li class="nav-item">
                      <a href="" class="nav-link with-sub"><i class="typcn typcn-feather"></i> How to Use</a>
                      <nav class="az-menu-sub">
                          <a href="documentation.html" class="nav-link">Documentation</a>
                      </nav><!-- az-menu-sub -->
                  </li>
                  <li class="nav-item">
                    <a href="" class="nav-link with-sub"><i class="typcn typcn-folder"></i> Dashboards</a>
                    <nav class="az-menu-sub">
                      <a href="dashboard-one.html" class="nav-link">Web Analytics</a>
                      <a href="dashboard-two.html" class="nav-link">Sales Monitoring</a>
                      <a href="dashboard-three.html" class="nav-link">Ad Campaign</a>
                      <a href="dashboard-four.html" class="nav-link">Event Management</a>
                      <a href="dashboard-five.html" class="nav-link">Helpdesk Management</a>
                      <a href="dashboard-six.html" class="nav-link">Finance Monitoring</a>
                      <a href="dashboard-seven.html" class="nav-link">Cryptocurrency</a>
                      <a href="dashboard-eight.html" class="nav-link">Executive / SaaS</a>
                      <a href="dashboard-nine.html" class="nav-link">Campaign Monitoring</a>
                      <a href="dashboard-ten.html" class="nav-link">Product Management</a>
                    </nav>
                  </li>
                  <li class="nav-item">
                    <a href="" class="nav-link with-sub"><i class="typcn typcn-folder"></i> Apps</a>
                    <nav class="az-menu-sub">
                      <a href="app-mail.html" class="nav-link">Mailbox</a>
                      <a href="app-chat.html" class="nav-link">Chat</a>
                      <a href="app-calendar.html" class="nav-link">Calendar</a>
                      <a href="app-contacts.html" class="nav-link">Contacts</a>
                      <a href="app-kanban.html" class="nav-link">Kanban</a>
                      <a href="app-tickets.html" class="nav-link">Tickets</a>
                    </nav>
                  </li>
            <li class="nav-item">
                <a href="" class="nav-link with-sub"><i class="typcn typcn-document"></i> Pages</a>
                <nav class="az-menu-sub">
                  <a href="page-signin.html" class="nav-link">Login</a>
                  <a href="page-register.html" class="nav-link">Register</a>
                  <a href="page-signup.html" class="nav-link">Sign Up</a>
                  <a href="page-faq.html" class="nav-link">Faq</a>
                  <a href="page-news-grid.html" class="nav-link">News Grid</a>
                  <a href="page-pricing.html" class="nav-link">Pricing</a>
                  <a href="page-app-settings.html" class="nav-link">Settings</a>
              </nav>
            </li>
            <li class="nav-item active show">
              <a href="" class="nav-link with-sub"><i class="typcn typcn-book"></i> Components</a>
              <div class="az-menu-sub az-menu-sub-mega">
                <div class="container">
                  <div>
                    <nav class="nav">
                      <span>UI Elements</span>
                      <a href="elem-accordion.html" class="nav-link">Accordion</a>
                      <a href="elem-alerts.html" class="nav-link">Alerts</a>
                      <a href="elem-avatar.html" class="nav-link">Avatar</a>
                      <a href="elem-badge.html" class="nav-link">Badge</a>
                      <a href="elem-breadcrumbs.html" class="nav-link">Breadcrumbs</a>
                      <a href="elem-buttons.html" class="nav-link">Buttons</a>
                      <a href="elem-cards.html" class="nav-link">Cards</a>
                      <a href="elem-carousel.html" class="nav-link">Carousel</a>
                    </nav>
                    <nav class="nav">
                      <a href="elem-collapse.html" class="nav-link">Collapse</a>
                      <a href="elem-dropdown.html" class="nav-link">Dropdown</a>
                      <a href="elem-icons.html" class="nav-link">Icons</a>
                      <a href="elem-images.html" class="nav-link">Images</a>
                      <a href="elem-list-group.html" class="nav-link">List Group</a>
                      <a href="elem-media-object.html" class="nav-link">Media Object</a>
                      <a href="elem-modals.html" class="nav-link">Modals</a>
                      <a href="elem-navigation.html" class="nav-link">Navigation</a>
                    </nav>
                    <nav class="nav">
                      <a href="elem-pagination.html" class="nav-link">Pagination</a>
                      <a href="elem-popover.html" class="nav-link">Popover</a>
                      <a href="elem-progress.html" class="nav-link">Progress</a>
                      <a href="elem-spinners.html" class="nav-link">Spinners</a>
                      <a href="elem-toast.html" class="nav-link">Toast</a>
                      <a href="elem-tooltip.html" class="nav-link">Tooltip</a>
                      <a href="elem-draganddrop.html" class="nav-link">Drag and Drop</a>
                    </nav>
                  </div>
                  <div>
                    <nav class="nav">
                      <span>Forms</span>
                      <a href="form-elements.html" class="nav-link">Form Elements</a>
                      <a href="form-layouts.html" class="nav-link">Form Layouts</a>
                      <a href="form-validation.html" class="nav-link active">Form Validation</a>
                      <a href="form-wizards.html" class="nav-link">Form Wizards</a>
                      <a href="form-editor.html" class="nav-link">WYSIWYG Editor</a>
                    </nav>
                  </div>
                  <div>
                    <nav class="nav">
                      <span>Charts</span>
                      <a href="chart-morris.html" class="nav-link">Morris Charts</a>
                      <a href="chart-flot.html" class="nav-link">Flot Charts</a>
                      <a href="chart-chartjs.html" class="nav-link">ChartJS</a>
                      <a href="chart-sparkline.html" class="nav-link">Sparkline</a>
                      <a href="chart-peity.html" class="nav-link">Peity</a>
                    </nav>
                  </div>
                  <div>
                    <nav class="nav">
                      <span>Maps</span>
                      <a href="map-google.html" class="nav-link">Google Maps</a>
                      <a href="map-leaflet.html" class="nav-link">Leaflet</a>
                      <a href="map-vector.html" class="nav-link">Vector Maps</a>
                      <span>Tables</span>
                      <a href="table-basic.html" class="nav-link">Basic Tables</a>
                      <a href="table-data.html" class="nav-link">Data Tables</a>
                    </nav>
                  </div>
                </div><!-- container -->
              </div>
            </li>
            <li class="nav-item">
              <a href="" class="nav-link with-sub"><i class="typcn typcn-tabs-outline"></i> Utilities</a>
              <nav class="az-menu-sub">
                <a href="util-background.html" class="nav-link">Background</a>
                <a href="util-border.html" class="nav-link">Border</a>
                <a href="util-display.html" class="nav-link">Display</a>
                <a href="util-flex.html" class="nav-link">Flex</a>
                <a href="util-height.html" class="nav-link">Height</a>
                <a href="util-margin.html" class="nav-link">Margin</a>
                <a href="util-padding.html" class="nav-link">Padding</a>
                <a href="util-position.html" class="nav-link">Position</a>
                <a href="util-typography.html" class="nav-link">Typography</a>
                <a href="util-width.html" class="nav-link">Width</a>
                <a href="util-extras.html" class="nav-link">Extras</a>
              </nav>
            </li>
          </ul>
        </div><!-- az-header-menu -->
            <div class="az-header-right">
           
        </div><!-- az-header-right -->
      </div><!-- container -->
    </div><!-- az-header -->

    <div class="az-content pd-y-20 pd-lg-y-30 pd-xl-y-40">
      <div class="container">
        <div class="az-content-left az-content-left-components">
          <div class="component-item">
            <label>UI Elements</label>
            <nav class="nav flex-column">
              <a href="elem-accordion.html" class="nav-link">Accordion</a>
              <a href="elem-alerts.html" class="nav-link">Alerts</a>
              <a href="elem-avatar.html" class="nav-link">Avatar</a>
              <a href="elem-badge.html" class="nav-link">Badge</a>
              <a href="elem-breadcrumbs.html" class="nav-link">Breadcrumbs</a>
              <a href="elem-buttons.html" class="nav-link">Buttons</a>
              <a href="elem-cards.html" class="nav-link">Cards</a>
              <a href="elem-carousel.html" class="nav-link">Carousel</a>
              <a href="elem-collapse.html" class="nav-link">Collapse</a>
              <a href="elem-dropdown.html" class="nav-link">Dropdown</a>
              <a href="elem-icons.html" class="nav-link">Icons</a>
              <a href="elem-images.html" class="nav-link">Images</a>
              <a href="elem-list-group.html" class="nav-link">List Group</a>
              <a href="elem-media-object.html" class="nav-link">Media Object</a>
              <a href="elem-modals.html" class="nav-link">Modals</a>
              <a href="elem-navigation.html" class="nav-link">Navigation</a>
              <a href="elem-pagination.html" class="nav-link">Pagination</a>
              <a href="elem-popover.html" class="nav-link">Popover</a>
              <a href="elem-progress.html" class="nav-link">Progress</a>
              <a href="elem-spinners.html" class="nav-link">Spinners</a>
              <a href="elem-toast.html" class="nav-link">Toast</a>
              <a href="elem-tooltip.html" class="nav-link">Tooltip</a>
              <a href="elem-draganddrop.html" class="nav-link">Drag and Drop</a>
            </nav>

            <label>Forms</label>
            <nav class="nav flex-column">
              <a href="form-elements.html" class="nav-link">Form Elements</a>
              <a href="form-layouts.html" class="nav-link">Form Layouts</a>
              <a href="form-validation.html" class="nav-link active">Form Validation</a>
              <a href="form-wizards.html" class="nav-link">Form Wizards</a>
              <a href="form-editor.html" class="nav-link">WYSIWYG Editor</a>
            </nav>

            <label>Charts</label>
            <nav class="nav flex-column">
              <a href="chart-morris.html" class="nav-link">Morris Charts</a>
              <a href="chart-flot.html" class="nav-link">Flot Charts</a>
              <a href="chart-chartjs.html" class="nav-link">ChartJS</a>
              <a href="chart-sparkline.html" class="nav-link">Sparkline</a>
              <a href="chart-peity.html" class="nav-link">Peity</a>
            </nav>

            <label>Maps</label>
            <nav class="nav flex-column">
              <a href="map-google.html" class="nav-link">Google Maps</a>
              <a href="map-leaflet.html" class="nav-link">Leaflet</a>
              <a href="map-vector.html" class="nav-link">Vector Maps</a>
            </nav>

            <label>Tables</label>
            <nav class="nav flex-column">
              <a href="table-basic.html" class="nav-link">Basic Tables</a>
              <a href="table-data.html" class="nav-link">Data Tables</a>
            </nav>
          </div><!-- component-item -->

        </div><!-- az-content-left -->
        <div class="az-content-body pd-lg-l-40 d-flex flex-column">
          <div class="az-content-breadcrumb">
            <span>Components</span>
            <span>Forms</span>
            <span>Form Validation</span>
          </div>
          <h2 class="az-content-title">Form Validation</h2>


          <div class="az-content-label mg-b-5">Required Input Validation</div>
          <p class="mg-b-20">This is a demo of a required field that must not leave empty.</p>

          <form action="form-validation.html" data-parsley-validate>
            <div class="wd-sm-300">
              <div class="d-md-flex mg-b-20">
                <div class="form-group mg-b-0">
                  <label class="form-label">Firstname: <span class="tx-danger">*</span></label>
                  <input type="text" name="firstname" class="form-control wd-250" placeholder="Enter firstname" required>
                </div><!-- form-group -->
                <div class="form-group mg-b-0 mg-md-l-20 mg-t-20 mg-md-t-0">
                  <label class="form-label">Lastname: <span class="tx-danger">*</span></label>
                  <input type="text" name="lastname" class="form-control wd-250" placeholder="Enter lastname" required>
                </div><!-- form-group -->
              </div><!-- d-flex -->
              <button type="submit" class="btn btn-az-primary pd-x-20">Validate Form</button>
            </div>
          </form>


          <hr class="mg-y-30">

          <div class="az-content-label mg-b-5">Email Validation</div>
          <p class="mg-b-20">A demo of an email field that is required and must also be a valid email address.
It automatically validate an email when the field is in type="email".</p>

          <form action="form-validation.html" data-parsley-validate>
            <div class="d-sm-flex wd-sm-400">
              <div class="form-group mg-b-0">
                <label class="form-label">Email: <span class="tx-danger">*</span></label>
                <input type="email" name="email" class="form-control wd-sm-250" placeholder="Enter email" required>
              </div><!-- form-group -->
              <div class="mg-sm-l-10 mg-t-10 mg-sm-t-25">
                <button type="submit" class="btn btn-az-primary pd-x-20">Validate Email</button>
              </div>
            </div>
          </form>

          <hr class="mg-y-30">

          <div class="az-content-label mg-b-5">Custom Checkbox/Radio Validation</div>
          <p class="mg-b-20">A demo of checkboxes that must be selected at least two fom any given list.</p>

          <form action="form-validation.html" data-parsley-validate>
            <p class="mg-b-10">What is your favorite browser? <span class="tx-danger">*</span></p>
            <div id="cbWrapper" class="parsley-checkbox">
              <label class="ckbox mg-b-5">
                <input type="checkbox" name="browser[]" value="1" data-parsley-mincheck="2" data-parsley-class-handler="#cbWrapper" data-parsley-errors-container="#cbErrorContainer" required><span>Firefox</span>
              </label>
              <label class="ckbox mg-b-5">
                <input type="checkbox" name="browser[]" value="2"><span>Chrome</span>
              </label>
              <label class="ckbox mg-b-5">
                <input type="checkbox" name="browser[]" value="3"><span>Safari</span>
              </label>
              <label class="ckbox">
                <input type="checkbox" name="browser[]" value="4"><span>Edge</span>
              </label>
            </div><!-- form-group -->
            <div id="cbErrorContainer"></div>
            <div class="mg-t-20">
              <button type="submit" class="btn btn-az-primary pd-x-20" value="5">Validate Form</button>
            </div>
          </form>

          <hr class="mg-y-30">

          <div class="az-content-label mg-b-5">Select2 Box Validation</div>
          <p class="mg-b-20">A demo of select boxes that must be selected at least one fom any given option.</p>

          <form action="form-validation.html" id="selectForm">
            <div class="d-sm-flex">
              <div id="slWrapper" class="parsley-select wd-sm-250">
                <select class="form-control select2" data-placeholder="Choose one" data-parsley-class-handler="#slWrapper" data-parsley-errors-container="#slErrorContainer" required>
                  <option label="Choose one"></option>
                  <option value="Firefox">Firefox</option>
                  <option value="Chrome">Chrome</option>
                  <option value="Safari">Safari</option>
                  <option value="Opera">Opera</option>
                  <option value="Internet Explorer">Internet Explorer</option>
                </select>
                <div id="slErrorContainer"></div>
              </div>
              <div class="mg-sm-l-10 mg-t-10 mg-sm-t-0">
                <button type="submit" class="btn btn-az-primary pd-x-20" value="5">Validate Form</button>
              </div>
            </div><!-- d-flex -->
          </form>

          <hr class="mg-y-30">

          <div class="az-content-label mg-b-5">Custom Style Invalid Messages</div>
          <p class="mg-b-20">A demo for using custom styled messages for error container.</p>

          <form id="selectForm2" class="parsley-style-1" action="form-validation.html">
            <div class="wd-xl-300">
              <div class="d-md-flex mg-b-20">
                <div id="fnWrapper" class="parsley-input">
                  <label>Firstname: <span class="tx-danger">*</span></label>
                  <input type="text" name="firstname" class="form-control wd-xl-250" placeholder="Enter firstname" data-parsley-class-handler="#fnWrapper" required>
                </div><!-- form-group -->
                <div id="lnWrapper" class="parsley-input mg-md-l-20 mg-t-20 mg-md-t-0">
                  <label>Lastname: <span class="tx-danger">*</span></label>
                  <input type="text" name="lastname" class="form-control wd-xl-250" placeholder="Enter lastname" data-parsley-class-handler="#lnWrapper" required>
                </div><!-- form-group -->
              </div><!-- d-flex -->
            </div>
            <p class="mg-b-10">What is your favorite browser? <span class="tx-danger">*</span></p>
            <div id="cbWrapper2" class="parsley-checkbox wd-250 mg-b-0">
              <label class="ckbox mg-b-5">
                <input type="checkbox" name="browser[]" value="1" data-parsley-mincheck="2"
                data-parsley-class-handler="#cbWrapper2"
                data-parsley-errors-container="#cbErrorContainer2" required><span>Firefox</span>
              </label>
              <label class="ckbox mg-b-5">
                <input type="checkbox" name="browser[]" value="2"><span>Chrome</span>
              </label>
              <label class="ckbox mg-b-5">
                <input type="checkbox" name="browser[]" value="3"><span>Safari</span>
              </label>
              <label class="ckbox">
                <input type="checkbox" name="browser[]" value="4"><span>Edge</span>
              </label>
            </div><!-- parsley-checkbox -->
            <div id="cbErrorContainer2" class="wd-250"></div>

            <div id="slWrapper2" class="parsley-select wd-250 mg-t-30">
              <select class="form-control select2" data-placeholder="Choose one" data-parsley-class-handler="#slWrapper2" data-parsley-errors-container="#slErrorContainer2" required>
                <option label="Choose one"></option>
                <option value="Firefox">Firefox</option>
                <option value="Chrome">Chrome</option>
                <option value="Safari">Safari</option>
                <option value="Opera">Opera</option>
                <option value="Internet Explorer">Internet Explorer</option>
              </select>
              <div id="slErrorContainer2"></div>
            </div>

            <div class="mg-t-30">
              <button type="submit" class="btn btn-az-primary pd-x-20">Validate Form</button>
            </div>
          </form>

          <div class="ht-40"></div>

          <div class="az-footer mg-t-auto">
            <div class="container">
               <span>&copy; 2021 Crowdsoft</span>
            </div><!-- container -->
          </div><!-- az-footer -->
        </div><!-- az-content-body -->
      </div><!-- container -->
    </div><!-- az-content -->


    <script src="/lib/jquery/jquery.min.js"></script>
    <script src="/lib/bootstrap/js/bootstrap.bundle.min.js"></script>
    <script src="/lib/ionicons/ionicons.js"></script>
    <script src="/lib/select2/js/select2.min.js"></script>
    <script src="/lib/parsleyjs/parsley.min.js"></script>


    <script src="/js/azia.js"></script>
    <script>
      $(function(){
        'use strict'


        $(document).ready(function(){
          $('.select2').select2({
            placeholder: 'Choose one'
          });

          $('.select2-no-search').select2({
            minimumResultsForSearch: Infinity,
            placeholder: 'Choose one'
          });
        });

        $('#selectForm').parsley();
        $('#selectForm2').parsley();

      });
    </script>
  </body>
</html>
